Module SQL_登入與主程式
    '---------------------LoginForm1-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_FTP伺服器登入位置()
        ConnOpen() : SQL1 = "SELECT  FTP地址, FTP帳號, FTP密碼, FTP物理位置 FROM FTP資料庫管理 WHERE 地區 LIKE N'" & LoginForm1.伺服器區域_ch.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_使用者權限宣告()
        ConnOpen() : SQL1 = "SELECT " & 登入權限 & " FROM 使用者權限管理表 WHERE (帳號 = '" & LoginForm1.帳號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_使用者職務讀取()
        ConnOpen() : SQL1 = "SELECT 職務, 舊編 FROM 人事資料表 WHERE (姓名 = '" & gUserName & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_刷卡登入()
        ConnOpen() : SQL1 = "SELECT 帳號, 密碼 FROM 使用者權限管理表 WHERE (ID卡號 = '" & LoginForm1.帳號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_電腦綁定()
        ConnOpen()
        SQL1 = "SELECT MAC碼 FROM 系統綁定電腦資訊 WHERE 硬碟ID LIKE N'" & PA2 & "' AND 硬碟序列 LIKE N'" & PA3 & "' AND 磁盘型態 LIKE N'" & PA4 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_物料空白修正()
        ConnOpen() : SQL1 = "UPDATE 物料資料庫 SET 進度條用空白 = '' WHERE 進度條用空白 IS NULL" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業務單據未補()
        ConnOpen()
        SQL1 = "SELECT 單號, 開單日期 FROM 銷售控制表 WHERE (LEFT(單號, 1) LIKE '" & YD_ERP_SYS.業務_cb.Text & "') AND (CONVERT(int, SUBSTRING(單號, 4, 4)) >= 1551) 
                ORDER BY   CHARINDEX(LEFT(單號, 1), '123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ'), 單號 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_財務單據未核()
        ConnOpen() : SQL1 = "SELECT 支付單號 FROM 公帳控制表 WHERE (審核人 LIKE '' OR 審核人 IS NULL) " : CmdSet_For_DGV()
    End Sub
End Module
